Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Protected Member Functions | List of all members
Botan::PK_Ops::Key_Agreement_with_KDF Class Referenceabstract

`#include <pk_ops_impl.h>`

Inheritance diagram for Botan::PK_Ops::Key_Agreement_with_KDF:

## Public Member Functions
secure_vector< uint8_t > | agree (size_t key_len, const uint8_t other_key[], size_t other_key_len, const uint8_t salt[], size_t salt_len) override
virtual size_t | agreed_value_size () const =0

## Protected Member Functions
| Key_Agreement_with_KDF (const std::string &kdf)
| ~Key_Agreement_with_KDF ()=default

## Detailed Description

Definition at line 172 of file pk_ops_impl.h.

## Constructor & Destructor Documentation

## ◆ Key_Agreement_with_KDF()

Botan::PK_Ops::Key_Agreement_with_KDF::Key_Agreement_with_KDF | ( | const std::string & | kdf | ) |
| explicit protected

Definition at line 50 of file pk_ops.cpp.

51 {
52 if(kdf != "Raw")
53 m_kdf.reset(get_kdf(kdf));
54 }
Botan::get_kdf
KDF * get_kdf(const std::string &algo_spec)
Definition: kdf.cpp:241

References Botan::get_kdf().

## ◆ ~Key_Agreement_with_KDF()

Botan::PK_Ops::Key_Agreement_with_KDF::~Key_Agreement_with_KDF | ( |  | ) |
| protected default

## Member Function Documentation

## ◆ agree()

secure_vector< uint8_t > Botan::PK_Ops::Key_Agreement_with_KDF::agree | ( | size_t | key_len,
|  | const uint8_t | other_key[],
|  | size_t | other_key_len,
|  | const uint8_t | salt[],
|  | size_t | salt_len
| ) |  |
| override virtual

Implements Botan::PK_Ops::Key_Agreement.

Definition at line 56 of file pk_ops.cpp.

59 {
60 secure_vector<uint8_t> z = raw_agree(w, w_len);
61 if(m_kdf)
62 return m_kdf->derive_key(key_len, z, salt, salt_len);
63 return z;
64 }
salt_len
size_t salt_len
Definition: x509_obj.cpp:25

References salt_len.

## ◆ agreed_value_size()

virtual size_t Botan::PK_Ops::Key_Agreement::agreed_value_size | ( |  | ) | const
| pure virtual inherited

The documentation for this class was generated from the following files:

- src/lib/pubkey/pk_ops_impl.h
- src/lib/pubkey/pk_ops.cpp